## org.ascape.model.engine
Class StrategyFactory

    java.lang.Object
      org.ascape.model.engine.StrategyFactory

All Implemented Interfaces:
  java.io.Serializable

    public class StrategyFactory

extends java.lang.Object
implements java.io.Serializable

A factory for creating Strategy objects.

See Also:
  Serialized Form

Constructor Summary
`StrategyFactory(Scape scape, java.lang.Object[] rules, int threads)` Instantiates a new strategy factory.

Method Summary
`ExecutionStrategy` `createStrategy()` Creates a new Strategy object.
`java.lang.Object[]` `getRules()` Gets the rules.
`Scape` `getScape()` Gets the scape.
`ExecutionStrategy` `getStrategy()` Gets the strategy.
`int` `getThreads()` Gets the threads.
`boolean` `isAnyDelete()` Checks if is any delete.
`boolean` `isAnyIterateAll()` Checks if is any iterate all.
`boolean` `isAnyRandom()` Checks if is any random.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StrategyFactory

    public StrategyFactory(Scape scape,
                           java.lang.Object[] rules,
                           int threads)

  Instantiates a new strategy factory.

  Parameters:
    `scape` - the scape
    `rules` - the rules
    `threads` - the threads

Method Detail

### getStrategy

    public final ExecutionStrategy getStrategy()

  Gets the strategy.

  Returns:
    the strategy

### createStrategy

    public ExecutionStrategy createStrategy()

  Creates a new Strategy object.

  Returns:
    the execution strategy

### isAnyDelete

    public final boolean isAnyDelete()

  Checks if is any delete.

  Returns:
    true, if is any delete

### isAnyIterateAll

    public final boolean isAnyIterateAll()

  Checks if is any iterate all.

  Returns:
    true, if is any iterate all

### isAnyRandom

    public final boolean isAnyRandom()

  Checks if is any random.

  Returns:
    true, if is any random

### getScape

    public final Scape getScape()

  Gets the scape.

  Returns:
    the scape

### getRules

    public final java.lang.Object[] getRules()

  Gets the rules.

  Returns:
    the rules

### getThreads

    public final int getThreads()

  Gets the threads.

  Returns:
    the threads